List Import Options

Gets the import options effective in the environment for the groups and group members information available in snapshots. This option specifies the conditions for importing group membership data of users and groups into an environment from snapshots.

Required Roles

Service Administrator

REST Resource

GET /interop/rest/v2/migration/options/import/list

Supported Media Types: application/json

Response

Parameter Description
optionName The import option. The only possible option name is Groups and Membership - Import Mode.
optionValue Possible values are:
  • Create or Update to add new groups or update the group membership of existing groups in Access Control and to assign or unassign granular roles to users and groups.
  • Create to add new groups. Changes made to existing group are not imported. Also, assigns granular roles for users and groups.
  • Update to modify existing groups based on the information available in the import file. New groups are not added. Also, assigns or unassigns granular roles to users and groups.
  • Delete to remove existing groups available in the import file. Also, unassigns granular roles from users and groups.
selectedOption The value currently selected and saved in the EPM application.

Successful response body example:


{
    "status": 0,
    "items": [
        {
            "optionName": "Groups and Membership - Import Mode",
            "optionValues": [
                "Create/Update",
                "Create",
                "Update",
                "Delete"
            ],
            "selectedOption": "Create/Update"
        }
    ],
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/options/import/list",
            "action": "GET",
            "rel": "self"
        }
    ]
}

Response for failed operation:


{
    "status": 6,
    "details": "Unable to get migration options",
    "items": null,
    "links": [
        {
            "href": "https://<BASE-URL>/interop/rest/v2/migration/options/import/list",
            "action": "POST",
            "rel": "self"
        }
    ]
}